clang 8.0.0

Public Types | Public Member Functions | List of all members
clang::ASTImporterLookupTable Class Reference

`#include "clang/AST/ASTImporterLookupTable.h"`

## Public Types
using | LookupResult = DeclList

## Public Member Functions
| ASTImporterLookupTable (TranslationUnitDecl &TU)
void | add (NamedDecl *ND)
void | remove (NamedDecl *ND)
LookupResult | lookup (DeclContext *DC, DeclarationName Name) const
void | dump (DeclContext *DC) const
void | dump () const

## Detailed Description

Definition at line 48 of file ASTImporterLookupTable.h.

## Member Typedef Documentation

## ◆ LookupResult

using clang::ASTImporterLookupTable::LookupResult = DeclList

Definition at line 67 of file ASTImporterLookupTable.h.

## Constructor & Destructor Documentation

## ◆ ASTImporterLookupTable()

clang::ASTImporterLookupTable::ASTImporterLookupTable | ( | TranslationUnitDecl & | TU | ) |

Definition at line 54 of file ASTImporterLookupTable.cpp.

## Member Function Documentation

## ◆ add()

void clang::ASTImporterLookupTable::add | ( | NamedDecl * | ND | ) |

Definition at line 72 of file ASTImporterLookupTable.cpp.

References clang::Decl::getDeclContext(), clang::DeclContext::getPrimaryContext(), and clang::DeclContext::getRedeclContext().

## ◆ dump() [1/2]

void clang::ASTImporterLookupTable::dump | ( | DeclContext * | DC | ) | const

Definition at line 104 of file ASTImporterLookupTable.cpp.

References clang::DeclContext::getPrimaryContext().

## ◆ dump() [2/2]

void clang::ASTImporterLookupTable::dump | ( |  | ) | const

Definition at line 120 of file ASTImporterLookupTable.cpp.

References dump(), and clang::DeclContext::getPrimaryContext().

## ◆ lookup()

ASTImporterLookupTable::LookupResult clang::ASTImporterLookupTable::lookup | ( | DeclContext * | DC,
|  | DeclarationName | Name
| ) |  | const

Definition at line 91 of file ASTImporterLookupTable.cpp.

## ◆ remove()

void clang::ASTImporterLookupTable::remove | ( | NamedDecl * | ND | ) |

Definition at line 81 of file ASTImporterLookupTable.cpp.

References clang::Decl::getDeclContext(), clang::DeclContext::getPrimaryContext(), and clang::DeclContext::getRedeclContext().

The documentation for this class was generated from the following files:

- include/clang/AST/ASTImporterLookupTable.h
- lib/AST/ASTImporterLookupTable.cpp